#!/bin/bash
#Description: DevKit install tool
#Copyright: Copyright © Huawei Technologies Co., Ltd. 2023. All rights reserved.
#History: 2023-5-25 created

current_dir=$(cd $(dirname $0); pwd)
source "${current_dir}/utils.sh"
INSTALL_PATH="$1"   # /opt/DevKit


function init_variable() {
	if [[ ! -f "${CONFIG_FILE}" ]]; then
		echo_and_log "There is no configure file(${CONFIG_FILE}), please check!" "${ERROR}"
		exit "${ERROR}"
	fi
    os_type=$(grep -w OS_TYPE "${CONFIG_FILE}" | awk -F= '{if($2 !="") print $2}')
    os_version=$(grep -w OS_VERSION "${CONFIG_FILE}" | awk -F= '{if($2 !="") print $2}')
	UNINSTALL_LOG_PATH="${INSTALL_PATH}/logs/sys_diagnosis_uninstall.log"
	if [ ! -e "${UNINSTALL_LOG_PATH}" ]; then
	    touch "${UNINSTALL_LOG_PATH}"
	    chown devkit:devkit "${UNINSTALL_LOG_PATH}"
	    chmod 600 "${UNINSTALL_LOG_PATH}"
	fi
	INSTALL_FRAME_PATH="${INSTALL_PATH}/devkitframework"
	INSTALL_PLUGIN_PATH="${INSTALL_PATH}/devkitplugins"
	PYTHON_PATH="${INSTALL_PATH}/tools/python_venv/bin/python3"
}


# 通过框架卸载插件时，已经删除了devkitplugins下的sys_perf插件目录，此处只需要删除其余残留的文件
function remove_files() {
    if [[ -e /etc/ld.so.conf.d/devkit.conf ]]; then
        rm -f /etc/ld.so.conf.d/devkit.conf
    fi
}

function main() {
    init_variable
    remove_files
}

main $@
